<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2ValidsArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2Valid
     */
    private $items;

    public function getItems(): CParcelShop2Valid
    {
        return $this->items;
    }

    public function withItems(CParcelShop2Valid $items): CParcelShop2ValidsArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
